SolrException (Solr 3.6.2 API)
Keywords: org.apache.solr.core.SolrException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.core
Class SolrException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.solr.common.SolrException
                      org.apache.solr.core.SolrException

All Implemented Interfaces:
  Serializable

Deprecated. Use org.apache.solr.common.SolrException

    @Deprecated
    public class SolrException

extends SolrException

This class is scheduled for deletion. Please update your code to the moved package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.common.SolrException
`SolrException.ErrorCode`

Field Summary

Fields inherited from class org.apache.solr.common.SolrException
`ignorePatterns, logged`

Constructor Summary
`SolrException(SolrException.ErrorCode code, String msg)` Deprecated.
`SolrException(SolrException.ErrorCode code, String msg, boolean alreadyLogged)` Deprecated.
`SolrException(SolrException.ErrorCode code, String msg, Throwable th)` Deprecated.
`SolrException(SolrException.ErrorCode code, String msg, Throwable th, boolean alreadyLogged)` Deprecated.
`SolrException(SolrException.ErrorCode code, Throwable th)` Deprecated.

Method Summary

Methods inherited from class org.apache.solr.common.SolrException
`code, doIgnore, log, log, log, logOnce, toStr, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         String msg,
                         boolean alreadyLogged)

  Deprecated.

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         String msg,
                         Throwable th,
                         boolean alreadyLogged)

  Deprecated.

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         String msg,
                         Throwable th)

  Deprecated.

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         Throwable th)

  Deprecated.

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         String msg)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD